# azure.mgmt.managementpartner.models module

exception `azure.mgmt.managementpartner.models.``ErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘Error’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.managementpartner.models.``PartnerResponse`(*, etag: int = None, partner_id: str = None, partner_name: str = None, tenant_id: str = None, object_id: str = None, version: str = None, updated_time=None, created_time=None, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  this is the management partner operations response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - etag (int) – Type of the partner
  - partner_id (str) – This is the partner id
  - partner_name (str) – This is the partner name
  - tenant_id (str) – This is the tenant id.
  - object_id (str) – This is the object id.
  - version (str) – This is the version.
  - updated_time (datetime) – This is the DateTime when the partner was updated.
  - created_time (datetime) – This is the DateTime when the partner was created.
  - state (str or enum) – This is the partner state. Possible values include: ‘Active’, ‘Deleted’

  Variables:

  - id (str) – Identifier of the partner
  - name (str) – Name of the partner
  - type (str) – Type of resource. “Microsoft.ManagementPartner/partners”

class `azure.mgmt.managementpartner.models.``ExtendedErrorInfo`(*, code=None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  this is the extended error info.

  Parameters:

  - code (str or enum) – this is the error response code. Possible values include: ‘NotFound’, ‘Conflict’, ‘BadRequest’
  - message (str) – this is the extended error info message

class `azure.mgmt.managementpartner.models.``Error`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  this is the management partner operations error.

  Parameters: | error (ExtendedErrorInfo) – this is the ExtendedErrorInfo property

class `azure.mgmt.managementpartner.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  this is the management partner operation.

  Parameters:

  - provider (str) – the is management partner provider
  - resource (str) – the is management partner resource
  - operation (str) – the is management partner operation
  - description (str) – the is management partner operation description

class `azure.mgmt.managementpartner.models.``OperationResponse`(*, name: str = None, display=None, origin: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  this is the management partner operations response.

  Parameters:

  - name (str) – this is the operation response name
  - display (OperationDisplay) – this is the operation display
  - origin (str) – the is operation response origin information

class `azure.mgmt.managementpartner.models.``OperationResponsePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationResponse` object